Bug 37271 - Patch port: converters/libiconv (for korean real world)
Summary: Patch port: converters/libiconv (for korean real world)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-04-20 06:00 UTC by Hye-Shik Chang
Modified: 2002-05-23 06:57 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (2.66 KB, patch)
2002-04-20 06:00 UTC, Hye-Shik Chang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hye-Shik Chang 2002-04-20 06:00:02 UTC
In korean real world, KSC5601 contains US-ASCII and KSC5601 at 0xA1A1- area.
This layout is same as libiconv's EUC-KR.
But, libiconv defined ksc5601 aliases as unusable charset that contains
only korean characters without any us-ascii(what's that!).
As a result, many mail clients and webbrowsers including mutt can't decode
mails from M$'s one.

How-To-Repeat: view mails encoded in ks_c_5601-1987
Comment 1 Patrick Li freebsd_committer 2002-04-20 06:33:21 UTC
Responsible Changed
From-To: freebsd-ports->gnome

Over to maintainers (might want to use perl substitution to minimize 
patching for this one)
Comment 2 Joe Marcus Clarke freebsd_committer 2002-05-19 05:21:09 UTC
State Changed
From-To: open->feedback

Can you patch aliases.gperf instead?  There is already a  
patch-lib_aliases.gperf you can use as an example.  If you resubmit, I 
will commit it.
Comment 3 Hye-Shik Chang 2002-05-19 13:21:20 UTC
Thank you very much, marcus! :)

diff -ruN libiconv.orig/files/patch-lib_aliases.gperf libiconv/files/patch-lib_aliases.gperf
--- libiconv.orig/files/patch-lib_aliases.gperf	Tue Apr 30 03:42:33 2002
+++ libiconv/files/patch-lib_aliases.gperf	Sun May 19 21:10:48 2002
@@ -1,5 +1,5 @@
---- lib/aliases.gperf.orig	Mon Jun 25 08:39:41 2001
-+++ lib/aliases.gperf	Mon Apr 29 11:23:40 2002
+--- lib/aliases.gperf.orig	Mon Jun 25 21:39:41 2001
++++ lib/aliases.gperf	Sun May 19 21:08:32 2002
 @@ -42,6 +42,7 @@
  JAVA, ei_java
  ISO-8859-1, ei_iso8859_1
@@ -105,3 +105,22 @@
  ISO_8859-16:2000, ei_iso8859_16
  ISO-IR-226, ei_iso8859_16
  KOI8-R, ei_koi8_r
+@@ -251,12 +265,12 @@
+ CHINESE, ei_gb2312
+ ISO-IR-165, ei_isoir165
+ CN-GB-ISOIR165, ei_isoir165
+-KSC_5601, ei_ksc5601
+-KS_C_5601-1987, ei_ksc5601
+-KS_C_5601-1989, ei_ksc5601
+-ISO-IR-149, ei_ksc5601
+-CSKSC56011987, ei_ksc5601
+-KOREAN, ei_ksc5601
++KSC_5601, ei_euc_kr
++KS_C_5601-1987, ei_euc_kr
++KS_C_5601-1989, ei_euc_kr
++ISO-IR-149, ei_euc_kr
++CSKSC56011987, ei_euc_kr
++KOREAN, ei_euc_kr
+ EUC-JP, ei_euc_jp
+ EUCJP, ei_euc_jp
+ EXTENDED_UNIX_CODE_PACKED_FORMAT_FOR_JAPANESE, ei_euc_jp

-- 
Hye-Shik Chang <perky@fallin.lv>
Yonsei University, Seoul
^D
Comment 4 Joe Marcus Clarke freebsd_committer 2002-05-23 06:57:35 UTC
State Changed
From-To: feedback->closed

Committed, thanks!